pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

py27-django failed to runserver


This is first time I post to this list.
I installed py27-django-1.4.1 from pkgsrc-current on my laptop.
When I run 'python2.7 runserver', I got following errors.

netbsd$ uname -a
NetBSD 6.99.4 NetBSD 6.99.4 (GENERIC) #1: Fri Apr 6 09:20:58 JST 2012 i386

netbsd$ python2.7 runserver
Traceback (most recent call last):
  File "", line 10, in <module>
File "/usr/pkg/lib/python2.7/site-packages/django/core/management/", line 443, in execute_from_command_line
File "/usr/pkg/lib/python2.7/site-packages/django/core/management/", line 382, in execute
File "/usr/pkg/lib/python2.7/site-packages/django/core/management/", line 261, in fetch_command
    klass = load_command_class(app_name, subcommand)
File "/usr/pkg/lib/python2.7/site-packages/django/core/management/", line 69, in load_command_class
    module = import_module('' % (app_name, name))
File "/usr/pkg/lib/python2.7/site-packages/django/utils/", line 35, in import_module
File "/usr/pkg/lib/python2.7/site-packages/django/core/management/commands/", line 8, in <module> from django.core.servers.basehttp import AdminMediaHandler, run, WSGIServerException, get_internal_wsgi_application File "/usr/pkg/lib/python2.7/site-packages/django/core/servers/", line 23, in <module>
    from django.core.wsgi import get_wsgi_application
File "/usr/pkg/lib/python2.7/site-packages/django/core/", line 1, in <module>
    from django.core.handlers.wsgi import WSGIHandler
File "/usr/pkg/lib/python2.7/site-packages/django/core/handlers/", line 8, in <module>
    from django import http
File "/usr/pkg/lib/python2.7/site-packages/django/http/", line 119, in <module>
    from django.http.multipartparser import MultiPartParser
File "/usr/pkg/lib/python2.7/site-packages/django/http/", line 13, in <module>
    from django.utils.text import unescape_entities
File "/usr/pkg/lib/python2.7/site-packages/django/utils/", line 5, in <module>
    from gzip import GzipFile
ImportError: No module named gzip


I ran python2.7 and import gzip manually then I see no errors.

netbsd$ python2.7
Python 2.7.3 (default, May 11 2012, 02:12:39)
[GCC 4.5.3] on netbsd6
Type "help", "copyright", "credits" or "license" for more information.
>>> from gzip import GzipFile

Does anyone have any idea?


Home | Main Index | Thread Index | Old Index